/**
 *
 * @author Zhuplev Anton
 */
import java.io.*;
import java.util.*;



public class sol_zhuplev implements Runnable {

  
  private String input = "input.txt";
  private String output = "output.txt";
  private Scanner in = null;
  private PrintWriter out = null;

  
  public sol_zhuplev() {
    try {
      in = new Scanner(new File(input));
      out = new PrintWriter(new File(output));
    } catch (Exception exept) {
      exept.printStackTrace();
      System.exit(1);
    }
  }

  
  public static void main(String[] args) {
    Locale.setDefault(Locale.US);
    new Thread(new sol_zhuplev()).start();
  }


  public void run() {
    try {
      solve();
    } catch (Exception exept) {
      exept.printStackTrace();
      System.exit(1);
    } finally {
      out.close();
    }       
  }

  
  private void myAssert(boolean expr, String message) {
    if (!expr) {
      throw new Error("Assertion failure!!! " + message);
    }
  }

  
  @SuppressWarnings("unchecked")
  private void solve() {
    String guitar = in.nextLine();
    int inLen = guitar.length();

    myAssert(inLen == 5, "Bad input length: " + String.valueOf(inLen) + " instead of 5");
    Set setValidSymbols = new HashSet();
    char validSymbols[] = {'<', '>', '='};
    for (int i = 0; i < validSymbols.length; i++) {
      setValidSymbols.add(validSymbols[i]);
    }
    for (int i = 0; i < inLen; i++) {
      char c = guitar.charAt(i);
      myAssert(setValidSymbols.contains(c),
        String.format("Invalid symbol '%c' (code: %d) in %d position", c, (int)c, i));
    }
    
    String ans = "";
    char state = '=';
    for (int i = 0; i < inLen; i++) {
      if (state == '?') {
        ans += getAns(state);
        continue;
      }
      if (state == '=') {
        state = guitar.charAt(i);
      } else {
        state = guitar.charAt(i) == '=' || state == guitar.charAt(i) ? state : '?';
      }
      ans += getAns(state);
    }
    
    out.println(ans);
  }
  
  
  private char getAns(char state) {
    return state == '<' ? '+' : state == '=' ? '*' : state == '>' ? '-' : '?';
  }

}
